Summary: Configure your system via text console, X, or Web
Name: linuxconf
Version: 1.11r11
Release: rh3
Copyright: GPL
Group: Utilities/System
Source: ftp.solucorp.qc.ca:/pub/linuxconf/devel/linuxconf-1.11r11.src.tar.gz
Url: http://www.solucorp.qc.ca/linuxconf/
BuildRoot: /tmp/linuxconf-root
# We do not want linuxconf to provide its private modules as shared library
# provides, but unfortunately autoreqprov: false turns off dependency
# generation as well as requirement generation.
#Autoreqprov: false
Prereq: /usr/sbin/groupadd
Prereq: sh-utils fileutils textutils grep
Obsoletes: usercfg fstool cabaret
%description
Linuxconf has an easy-to-navigate user interface that is
accessible from a text console, a web interface, and a GUI
interface.

Linuxconf has the ability to manage:

Networking:
	Host information: IP Address, Hostname etc.
	IP Subnet allocation
	Resolving Name Servers
	Routing and Gateways
	NIS
	IPX Interface Setup
	PPP and Slip Dialout
	NFS File Systems
	Named (DNS) Zones and Secondaries
	Reverse Lookup
	Sendmail
	Virtual Email Domains
	UUCP
	IP Aliasing
	DCHP/BOOTP Server
	RARP Server
	Input Firewalling
	Output Firewalling
	Blocking Firewalling
	IP Masquerading
	Packet Accounting
	Mail to Fax Gateway
User Accounts:
	User and Group management
	PPP Acounts
	Slip Accounts
	UUCP Accounts
	POP Only Accounts
	Virtual Email Domain Accounts
	Email Aliases For Normal and Virtual Domains
	Policies For Passwords and User Accounts
	Available User Shells
	Crontab Management
	Shadow Management
File Systems:
	Local Partition Management (/etc/fstab)
	NFS Volume Management
	(Samba Volume Management coming soon)
	Swap File and Partition Management
	User and Group Disk Quotas
	File Permissions
Boot Mode:
	Lilo Configuration
	Default Boot Mode
	Runlevel Definitions

And more...
%prep

%setup



%build 

make
%install

export RPM_BUILD_ROOT
make install_for_rpm

mkdir -p $RPM_BUILD_ROOT/var/log
for file in htmlaccess netconf boot ; do
        touch $RPM_BUILD_ROOT/var/log/$file.log 
        chmod 600 $RPM_BUILD_ROOT/var/log/$file.log
done
%clean

if [ "$RPM_BUILD_ROOT" = "/tmp/linuxconf-root" ] ; then
	rm -fr /tmp/linuxconf-root
fi

%pre

OLDINSTALL=/usr/lib/linuxconf/help.eng/notices/01-oldinstall
INITTABREPLACE=/usr/lib/linuxconf/uninstall/inittab.replace
UPGRADE="NO"



echo "#### pre install script" >>/tmp/linuxconf-rpminstall.log
date >>/tmp/linuxconf-rpminstall.log

log(){
	echo $* >>/tmp/linuxconf-rpminstall.log
	$*
}

# Check for tarball installation
if [ -f /usr/lib/linuxconf/conf.daemons ] ; then
	UPGRADE="YES"
fi

if [ -f /usr/lib/linuxconf/std/conf.daemons ] ; then
	UPGRADE="YES"
fi

# Check for old 1.9r22 RPM installation
if [ -f /usr/lib/linuxconf/install/doinst.sh ] ; then
	UPGRADE="YES"
fi

if [ $UPGRADE = "YES" ] ; then
	# Script to upgrade pre-1.9r25 Linuxconf to new SysV compliant booting.
	# Dale - Hacked in a few minutes late one night :-)

	echo Upgrading from older install strategy >>/tmp/linuxconf-rpminstall.log
	# Kill the Install directory
	if [ -f /install/doinst.sh ] ; then
		log rm -Rf /install
	fi

	# Kill the old /usr/lib/linuxconf directory, the RPM will put
	# everything we need back in later.
	log rm -Rf /usr/lib/linuxconf

	# Create the directories we will need for the upgrade
	log install -d -g users -m 755 -o root /usr/lib/linuxconf/
	log install -d -g users -m 755 -o root /usr/lib/linuxconf/help.eng/notices/
	log install -d -g users -m 755 -o root /usr/lib/linuxconf/uninstall/

	# Create a note displayed by linuxconf informing that the RPM
	# install has done some cleanup
	echo "      Installation note" >$OLDINSTALL
	echo >>$OLDINSTALL
	echo "The RPM installation has detected that linuxconf was already" >>$OLDINSTALL
	echo "installed using the tar.gz kit" >>$OLDINSTALL
	echo >>$OLDINSTALL
	echo "It has taken action to fix your linuxconf installation" >>$OLDINSTALL
	echo "so it becomes more compatible with RPM based systems" >>$OLDINSTALL
	echo >>$OLDINSTALL
	echo "You may want to check /tmp/linuxconf-rpminstall.log" >>$OLDINSTALL

	# I put a default RedHat inittab in /usr/lib/linuxconf/install
	# When I unpack the distro, the original SHOULD be there, but hey,
	# You never can tell when someone is gonna need that 1k taken up
	# by the backup....
	if [ -f /etc/inittab.old ] ; then
		log cp /etc/inittab /usr/lib/linuxconf/uninstall/inittab.beforeupgrade
		log mv -f /etc/inittab.old /etc/inittab
	#else
		# Tell the RPM to replace this file with a stock RedHat
		# We haven't untarred anything yet, so we can't replace it
		#log cp /etc/inittab /usr/lib/linuxconf/uninstall/inittab.beforeupgrade
		#log touch $INITTABREPLACE
	fi

	if [ -f /etc/rc.d/rc.M ] ; then
		log mv -f /etc/rc.d/rc.M /usr/lib/linuxconf/uninstall/rc.M.beforeupgrade
	fi

	if [ -f /usr/sbin/syslogd.old ] ; then
		log mv -f /usr/bin/syslogd.old /usr/lib/linuxconf/uninstall/syslogd.beforelinuxconf
	fi

	if [ -f /etc/conf.linuxconf ] ; then
		log mv -f /etc/conf.linuxconf /etc/conf.linuxconf-installed
	fi
fi

%post

/usr/lib/linuxconf/install/rpm-postinst.sh $*

# Add a few group ids so that the user is not prompted for them later...

# if it is an old version of groupadd, the combined -g and -r options
# will cause it to fail, so we fall back on just -r.  It will be less
# consistent across systems, but that's not too horrible.
/usr/sbin/groupadd -g 230 -r -f pppusers >/dev/null 2>&1 || \
  /usr/sbin/groupadd -r -f pppusers >/dev/null
/usr/sbin/groupadd -g 231 -r -f popusers >/dev/null 2>&1 || \
  /usr/sbin/groupadd -r -f popusers >/dev/null
/usr/sbin/groupadd -g 232 -r -f slipusers >/dev/null 2>&1 || \
  /usr/sbin/groupadd -r -f slipusers >/dev/null
%preun

# The script is handed a 0 if this is a uninstall
# and a 1 if it is an upgrade...
/usr/lib/linuxconf/install/rpm-preuninst.sh $1

		

%postun

# Cry a little tear, because Linuxconf is not on this machine anymore...

%files

%config /etc/pam.d/linuxconf
%config /etc/pam.d/linuxconf-pair
%config /etc/logrotate.d/linuxconf
/usr/lib/linuxconf/
/bin/linuxconf
/bin/netconf
/bin/xconf
/bin/lpdconf
/bin/fsconf
/sbin/askrunlevel
/sbin/dnsconf
/sbin/fixperm
/sbin/mailconf
/bin/userconf
%config /bin/remadmin

%ghost /var/log/htmlaccess.log
%ghost /var/log/netconf.log
%ghost /var/log/boot.log

%doc rpmfiles/doc/COPYING
%doc rpmfiles/doc/HELPING
%doc rpmfiles/doc/RPM-CHANGES
%doc rpmfiles/doc/RPM-INSTALL
%doc rpmfiles/doc/RPM-README
%doc rpmfiles/doc/UPGRADE
